/****************************** Propriétés Globales ******************************/

@font-face {
    font-family: 'Gastromond';
    src: url('../fonts/gastromondtest-regular.woff2') format('woff2'),
        url('../fonts/gastromondtest-regular.ttf') format('ttf')
}

@font-face {
    font-family: 'InterReg';
    src: url('../fonts/inter.woff2') format('woff2'),
        url('../fonts/inter.ttf') format('ttf')
}

@font-face {
    font-family: 'League';
    src: url('../fonts/league.woff2') format('woff2'),
        url('../fonts/league.ttf') format('ttf')
}

@font-face {
    font-family: 'Bely';
    src: url('../fonts/bely.woff2') format('woff2'),
        url('../fonts/bely.ttf') format('ttf')
}

@font-face {
    font-family: 'Inria';
    src: url('../fonts/inria.woff2') format('woff2'),
        url('../fonts/inria.ttf') format('ttf')
}

.lien-projet {
    margin-left: 0.875rem;
}

html {
    font-size: 100%;
    scroll-behavior: smooth;
    cursor: url("../images/curseur.svg"), auto;
}

html::-webkit-scrollbar {
    width: 0.375rem;
}

html::-webkit-scrollbar-track {
    background-color: transparent;
}

html::-webkit-scrollbar-thumb {
    background-color: #FFFFFF;
    border-radius: 0.625rem;
}

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    background-color: #161C38;
    color: #FFFFFF;
}

.no-marge {
    margin: 0;
}

.tablette {
    display: none;
}

main {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

a {
    color: #FFFFFF;
    text-decoration: none;
    cursor: url("../images/voir.svg"), auto;
}

.border {
    border-radius: 0.625rem;
}

/****************************** Header ******************************/

header {
    top: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    justify-content: space-between;
    background-color: transparent;
    height: 6.25rem;
    z-index: 20;
    position: relative;
    padding: 0 2.5rem
}

.desactive {
    display: none;
}

/****************************** Menu Téléphone ******************************/

.logo {
    width: 30%;
}

.lien-logo {
    width: 8.125rem;
    display: block;
}

.menu {
    display: flex;
    margin: 0;
    position: absolute;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: #161C38;
    transform: translateX(-100%);
    transition: transform 1s;
    z-index: 0;
}

.menu li {
    list-style-type: none;
}

.menu2 {
    display: none;
}

.ouvrir {
    display: block;
    z-index: 6;
    font-size: 2rem;
    color: #FFFFFF;
}

.fermer {
    display: none;
}

.menu.ouvert {
    display: flex;
    transform: translateX(0);
    padding: 0;
    z-index: 9;
}

.ouvrir.ouvert {
    color: #FFFFFF;
    background-color: transparent;
    opacity: 0;
}

.fermer.ouvert {
    display: block;
    z-index: 6;
    top: 2rem;
    right: 2.5rem;
    position: absolute;
    font-size: 2rem;
    color: #FFFFFF;
    z-index: 10;
}

.nav-menu.ouvert {
    background-color: transparent;
    color: #FFFFFF;
}

.menu-text-ouvert {
    font-family: "InterRegReg";
    font-size: 1.563rem;
    font-weight: lighter;
}

.menu2 .text {
    font-family: "Inria";
}

/****************************** Accueil Téléphone ******************************/

.body-index {
    background-image: url("../images/background.svg");
    background-position: center top;
    background-size: auto;
    background-repeat: no-repeat;
}

.body-index.total {
    width: 100%;
    height: 100%;
}

.accueil {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    height: calc(100vh - 6.25rem);
    width: 100%;
    position: relative;
    scroll-margin: 20vh;
}

.div-nom h1 {
    font-family: "Bely";
    font-weight: lighter;
    font-size: 3.125rem;
    padding: 0;
    margin: 0;
    cursor: url("../images/curseur.svg"), auto;
    line-height: 3.75rem;
}

.div-comp h2 {
    font-size: 1.25rem;
    font-weight: lighter;
    color: #AEB6FF;
    font-family: "InterReg";
    line-height: 0.625rem;
}

.div-comp {
    margin-top: 1.25rem;
    margin-bottom: 1.25rem;
}

.div-texte {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    height: 50%;
    justify-content: space-evenly;
}

.btn-decou {
    font-family: "InterReg";
    font-weight: bolder;
    border: #FFFFFF 0.063rem solid;
    padding: 0.625rem 1.875rem;
    border-radius: 1.25rem;
    font-size: 1.25rem;
    color: #FFFFFF;
    cursor: url("../images/voir.svg"), auto;
    transition: all 0.2s;
}

.btn-decou:hover {
    background-color: #FFFFFF;
    color: #0D1536;
    transition: all 0.2s;
}

.btn-cv {
    font-family: "Inria";
    font-weight: bolder;
    border: #FFFFFF 0.063rem solid;
    padding: 0.625rem 3.125rem;
    border-radius: 3.125rem;
    font-size: 1.25rem;
    color: #FFFFFF;
    cursor: url("../images/voir.svg"), auto;
    font-weight: lighter;
    transition: all 0.2s;
}

.btn-cv:hover {
    background-color: #FFFFFF;
    color: #0D1536;
    transition: all 0.2s;
}

.big-div-accueil {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    justify-content: space-evenly;
}

.ange {
    display: none;
}

.fleche-lien {
    display: contents;
}

.scroll {
    width: 100%;
}

.div-scroll {
    position: relative;
    width: 2.188rem;
    display: flex;
    justify-content: center;
}

.div-scroll::before {
    content: "";
    position: absolute;
    width: 0.313rem;
    height: 0.313rem;
    background-color: #FFFFFF;
    border-radius: 1.25rem;
    top: 0;
    border: 0.094rem transparent solid;
    animation: infinite 2.5s scroll;
}

@keyframes scroll {
    0% {
        opacity: 0;
    }

    10% {
        opacity: 1;
    }

    90% {
        opacity: 1;
    }

    100% {
        transform: translateY(4vh);
        opacity: 0;
    }

}

.p-scroll {
    font-family: "League";
    color: #AEB6FF;
}


/****************************** Projet Téléphone ******************************/

.projet {
    background-image: url("../images/background-reste.svg");
    background-repeat: repeat;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.body-sous-projet {
    background-color: #0D1536;
}

.wrapper {
    position: relative;
    max-width: 100%;
    height: fit-content;
}

.carousel {
    white-space: nowrap;
    cursor: url("../images/voir.svg"), auto;
    font-size: 0;
    overflow: hidden;
    border-radius: 0.625rem;
    scroll-behavior: smooth;
}

.carousel.dragging {
    cursor: grab;
    scroll-behavior: smooth;
}

.carousel2 {
    white-space: nowrap;
    cursor: url("../images/voir.svg"), auto;
    font-size: 0;
    overflow: hidden;
    border-radius: 0.625rem;
    scroll-behavior: smooth;
}

.carousel2.dragging {
    cursor: grab;
    scroll-behavior: smooth;
}

.carousel3 {
    white-space: nowrap;
    cursor: url("../images/voir.svg"), auto;
    font-size: 0;
    overflow: hidden;
    border-radius: 0.625rem;
    scroll-behavior: smooth;
}

.carousel3.dragging {
    cursor: grab;
    scroll-behavior: smooth;
}

.carousel4 {
    white-space: nowrap;
    cursor: url("../images/voir.svg"), auto;
    font-size: 0;
    overflow: hidden;
    border-radius: 0.625rem;
    scroll-behavior: smooth;
}

.carousel4.dragging {
    cursor: grab;
    scroll-behavior: smooth;
}

.carousel5 {
    white-space: nowrap;
    cursor: url("../images/voir.svg"), auto;
    font-size: 0;
    overflow: hidden;
    border-radius: 0.625rem;
    scroll-behavior: smooth;
}

.carousel5.dragging {
    cursor: grab;
    scroll-behavior: smooth;
}

.img-projet {
    width: 100%;
    object-fit: cover;
    border-radius: 0.625rem;
}

.carousel .lien-projet:first-child {
    margin-left: 0;
}

.img-projet2 {
    width: 100%;
    object-fit: cover;
    border-radius: 0.625rem;
}

.carousel2 .lien-projet:first-child {
    margin-left: 0;
}

.img-projet3 {
    width: 100%;
    object-fit: cover;
    border-radius: 0.625rem;
}

.carousel3 .lien-projet:first-child {
    margin-left: 0;
}

.img-projet4 {
    width: 100%;
    object-fit: cover;
    border-radius: 0.625rem;
}

.carousel4 .lien-projet:first-child {
    margin-left: 0;
}

.img-projet5 {
    width: 100%;
    object-fit: cover;
    border-radius: 0.625rem;
}

.carousel5 .lien-projet:first-child {
    margin-left: 0;
}

.fleche-slider {
    width: 2.5rem;
    position: absolute;
    cursor: url("../images/voir.svg"), auto;
    top: 50%;
    transition: 0.3 linear;
    transform: scale(1);
}

.fleche-slider2 {
    width: 2.5rem;
    position: absolute;
    cursor: url("../images/voir.svg"), auto;
    top: 50%;
    transition: 0.3 linear;
    transform: scale(1);
}

.fleche-slider3 {
    width: 2.5rem;
    position: absolute;
    cursor: url("../images/voir.svg"), auto;
    top: 50%;
    transition: 0.3 linear;
    transform: scale(1);
}

.fleche-slider4 {
    width: 2.5rem;
    position: absolute;
    cursor: url("../images/voir.svg"), auto;
    top: 50%;
    transition: 0.3 linear;
    transform: scale(1);
}

.fleche-slider5 {
    width: 2.5rem;
    position: absolute;
    cursor: url("../images/voir.svg"), auto;
    top: 50%;
    transition: 0.3 linear;
    transform: scale(1);
}

.fleche-droite:active {
    transition: 0.3 linear;
    transform: rotate(180deg) translateY(50%) scale(0.9);
}

.fleche-gauche:active {
    transition: 0.3 linear;
    transform: translateY(-50%) scale(0.9);
}

.fleche-droite {
    right: -3.125rem;
    transform: rotate(180deg) translateY(50%);
}

.fleche-gauche {
    left: -3.125rem;
    transform: translateY(-50%);
}

.fleche-droite2:active {
    transition: 0.3 linear;
    transform: rotate(180deg) translateY(50%) scale(0.9);
}

.fleche-gauche2:active {
    transition: 0.3 linear;
    transform: translateY(-50%) scale(0.9);
}

.fleche-droite2 {
    right: -3.125rem;
    transform: rotate(180deg) translateY(50%);
}

.fleche-gauche2 {
    left: -3.125rem;
    transform: translateY(-50%);
}

.fleche-droite3:active {
    transition: 0.3 linear;
    transform: rotate(180deg) translateY(50%) scale(0.9);
}

.fleche-gauche3:active {
    transition: 0.3 linear;
    transform: translateY(-50%) scale(0.9);
}

.fleche-droite3 {
    right: -3.125rem;
    transform: rotate(180deg) translateY(50%);
}

.fleche-gauche3 {
    left: -3.125rem;
    transform: translateY(-50%);
}

.fleche-droite4:active {
    transition: 0.3 linear;
    transform: rotate(180deg) translateY(50%) scale(0.9);
}

.fleche-gauche4:active {
    transition: 0.3 linear;
    transform: translateY(-50%) scale(0.9);
}

.fleche-droite4 {
    right: -3.125rem;
    transform: rotate(180deg) translateY(50%);
}

.fleche-gauche4 {
    left: -3.125rem;
    transform: translateY(-50%);
}

.fleche-droite5:active {
    transition: 0.3 linear;
    transform: rotate(180deg) translateY(50%) scale(0.9);
}

.fleche-gauche5:active {
    transition: 0.3 linear;
    transform: translateY(-50%) scale(0.9);
}

.fleche-droite5 {
    right: -3.125rem;
    transform: rotate(180deg) translateY(50%);
}

.fleche-gauche5 {
    left: -3.125rem;
    transform: translateY(-50%);
}

.infos-projet {
    width: 100%;
    padding: 0 2.5rem;
    margin-bottom: 1.875rem;
    cursor: url("../images/curseur.svg"), auto;
}

.titre-projet {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    cursor: url("../images/curseur.svg"), auto;
    gap: 0.938rem;
    margin-bottom: 0.938rem;
}

.titre-projet .h2 {
    font-size: 1.125rem;
    font-family: "Inter";
    margin: 0;
    font-weight: 700;
    cursor: url("../images/curseur.svg"), auto;
}

.titre-projet .p {
    font-size: 0.875rem;
    font-family: "Inter";
    font-weight: 300;
    cursor: url("../images/curseur.svg"), auto;
    margin: 0;
    margin-bottom: 0.15vh;
}

.p-infos {
    font-size: 1.125rem;
    font-family: "League";
    margin-top: 0.313rem;
    margin-bottom: 0.313rem;
    font-weight: lighter;
    cursor: url("../images/curseur.svg"), auto;
}

.liste-filtres {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0.625rem;
    margin-top: 1.25rem;
}

.btn-filtre {
    color: #AEB6FF;
    border: #AEB6FF 0.063rem solid;
    border-radius: 1.25rem;
    padding: 0.438rem 0.625rem 0.313rem 0.625rem;
    text-align: center;
    align-self: center;
    font-family: "League";
    cursor: url("../images/voir.svg"), auto;
    margin-bottom: 0;
    margin-top: 0;
    font-size: 0.938rem;
}

.btn-filtre2 {
    color: #AEB6FF;
    border: #AEB6FF 0.063rem solid;
    border-radius: 1.25rem;
    padding: 0.438rem 0.625rem 0.313rem 0.625rem;
    text-align: center;
    align-self: center;
    font-family: "League";
    cursor: url("../images/voir.svg"), auto;
    margin-bottom: 0;
    margin-top: 0;
    font-size: 0.938rem;
}

.btn-filtre3 {
    color: #AEB6FF;
    border: #AEB6FF 0.063rem solid;
    border-radius: 1.25rem;
    padding: 0.438rem 0.625rem 0.313rem 0.625rem;
    text-align: center;
    align-self: center;
    font-family: "League";
    cursor: url("../images/voir.svg"), auto;
    margin-bottom: 0;
    margin-top: 0;
    font-size: 0.938rem;
}

.btn-filtre4 {
    color: #AEB6FF;
    border: #AEB6FF 0.063rem solid;
    border-radius: 1.25rem;
    padding: 0.438rem 0.625rem 0.313rem 0.625rem;
    text-align: center;
    align-self: center;
    font-family: "League";
    cursor: url("../images/voir.svg"), auto;
    margin-bottom: 0;
    margin-top: 0;
    font-size: 0.938rem;
}

.btn-filtre5 {
    color: #AEB6FF;
    border: #AEB6FF 0.063rem solid;
    border-radius: 1.25rem;
    padding: 0.438rem 0.625rem 0.313rem 0.625rem;
    text-align: center;
    align-self: center;
    font-family: "League";
    cursor: url("../images/voir.svg"), auto;
    margin-bottom: 0;
    margin-top: 0;
    font-size: 0.938rem;
}

.big-div-slide {
    padding: 0 5rem;
}

.btn-filtre.active {
    background-color: #AEB6FF;
    color: #161C38;
}

.btn-filtre2.active {
    background-color: #AEB6FF;
    color: #161C38;
}

.btn-filtre3.active {
    background-color: #AEB6FF;
    color: #161C38;
}

.btn-filtre4.active {
    background-color: #AEB6FF;
    color: #161C38;
}

.btn-filtre5.active {
    background-color: #AEB6FF;
    color: #161C38;
}

.proj {
    margin-bottom: 2.5rem;
    width: 100%;
}

.proj1 {
    margin-top: 2.5rem;
}

.marge-2.enleveM {
    margin-left: 0;
}

.marge-4.enleveM2 {
    margin-left: -0.875rem;
}

.marge-3.enleveM2 {
    margin-left: -0.875rem;
}

.carousel.overflowI {
    overflow: initial;
}

.carousel3.overflowI {
    overflow: initial;
}

.carousel4.overflowI {
    overflow: initial;
}

.carousel5.overflowI {
    overflow: initial;
}

.marge-11.enleveM {
    margin-left: -2.625rem;
}

.marge-11.enleveM2 {
    margin-left: 0;
}

.marge-13.enleveM {
    margin-left: 0;
}

.marge-15.enleveM {
    margin-left: 0;
}

.marge-20.enleveM {
    margin-left: 0;
}

.marge-20.enleveM2 {
    margin-left: -0.875rem;
}

.marge-16.enleveM {
    margin-left: -0.875rem;
}

.marge-17.enleveM {
    margin-left: -1.75rem;
}

/****************************** Sous-projet Téléphone ******************************/

.sous-projet {
    margin-top: 1.875rem;
    margin-left: 1.875rem;
    margin-right: 1.875rem;
    margin-bottom: 0;
    scroll-margin: 2.5rem;
}

.div-premiere-ligne {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.date-sp {
    color: #FFFFFF;
    font-family: "Inter";
    font-weight: 300;
    margin: 0;
    font-size: 0.938rem;
    margin-left: 0.625rem;
    cursor: url("../images/curseur.svg"), auto;
    margin-top: 0.3vh;
}

.t-sp {
    color: #FFFFFF;
    font-family: "Inter";
    font-weight: 700;
    margin: 0;
    font-size: 1.25rem;
    margin-left: 0.938rem;
    position: relative;
    transition: all 0.5s;
}

.div-premiere-ligne .t-sp::after {
    content: "";
    position: absolute;
    bottom: -0.313rem;
    border: 0.063rem solid transparent;
    width: 0;
    left: 0;
    transition: all 1s;
    border-radius: 1.25rem;
}

.div-premiere-ligne:hover .t-sp::after {
    border-color: #FFFFFF;
    width: 100%;
}

.div-premiere-ligne:not(:hover) .t-sp::after {
    width: 0;
    border: 0.063rem solid transparent;
}

.lien-sous-projet {
    display: contents;
}

.filtre-sous-projet {
    font-size: 1.125rem;
    color: #161C38;
    background-color: #AEB6FF;
    border-radius: 1.25rem;
    width: fit-content;
    padding: 0.438rem 0.625rem 0.313rem 0.625rem;
    font-family: "League";
    margin: 1.25rem 0;
    cursor: url("../images/curseur.svg"), auto;
}

.titre-sp1 {
    font-family: "InterReg";
    font-size: 1.25rem;
    color: #FFFFFF;
    margin: 1.875rem 0 1.25rem 0;
    font-weight: bold;
    cursor: url("../images/curseur.svg"), auto;
}

.texte-sp1 {
    font-family: "League";
    font-size: 1rem;
    color: #FFFFFF;
    margin: 1.25rem 0 1.875rem 0;
    font-weight: lighter;
    cursor: url("../images/curseur.svg"), auto;
}

.titre-sp2 {
    font-family: "InterReg";
    font-size: 1.25rem;
    color: #FFFFFF;
    margin: 1.875rem 0 1.25rem 0;
    font-weight: bold;
    cursor: url("../images/curseur.svg"), auto;
}

.texte-sp2 {
    font-family: "League";
    font-size: 1rem;
    color: #FFFFFF;
    margin: 1.25rem 0 1.25rem 0;
    font-weight: lighter;
    cursor: url("../images/curseur.svg"), auto;
}

.barre-sp {
    width: 100%;
    border: #FFFFFF 0.063rem solid;
    border-radius: 0.625rem;
}

.barre-sp2 {
    width: 100%;
    border: #FFFFFF 0.063rem solid;
    border-radius: 0.625rem;
}

.div-deuxieme-ligne {
    margin-bottom: 2.5rem;
}

.titre-sous-proj {
    font-family: "Inter";
    color: #AEB6FF;
    font-weight: 300;
    cursor: url("../images/curseur.svg"), auto;
    font-size: 1.25rem;
}

.deux-img-sous-proj {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
    margin-bottom: 2.5rem;
    align-items: center;
}

.deux-img-sous-proj img {
    border-radius: 0.625rem;
}

.video-sous-proj {
    width: 100%;
}

.ete {
    width: 100%;
}

.div-ete {
    display: flex;
    width: 100%;
    justify-content: center;
}

.img-sous-proj {
    width: 100%;
}

.img-colomne {
    display: flex;
    flex-direction: column;
    gap: 0.938rem;
    width: 100%;
}

.fleche-sous-proj {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    margin-top: 0.938rem;
    margin-bottom: 0.938rem;
}

.fleche-av {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.938rem;
    cursor: url("../images/voir.svg"), auto;
}

.fleche-av p {
    font-family: "League";
    position: relative;
}

.fleche-av p::after {
    content: "";
    position: absolute;
    bottom: -0.313rem;
    border: 0.063rem solid transparent;
    width: 0;
    left: 0;
    transition: all 1s;
    border-radius: 1.25rem;
}

.fleche-av:hover>p::after {
    border-color: #FFFFFF;
    width: 100%;
}

.fleche-av:not(:hover) .fleche-av p::after {
    width: 0;
    border: 0.063rem solid transparent;
}

.logo-22 {
    width: 60%;
}

.deux-img-sous-proj .img-ss {
    width: 100%;
}

.img-colomne .deux-img-sous-proj {
    margin-bottom: 0;
}

.margee {
    margin-bottom: 1.25rem;
}

.ens-sous-proj {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.top {
    margin-top: 1.25rem;
}

.moitie-img {
    width: 100%;
}

.marge-dessous {
    margin-bottom: 1.25rem;
}

.display-grid {
    display: grid;
    grid-template-columns: auto auto;
    gap: 0.625rem;
}

.display-grid img {
    width: 100%;
}

.deux-img-sous-proj img {
    width: 100%;
}

.ens-sous-proj .logo-22 {
    width: 60%;
}

.ens-sous-proj .logo-33 {
    width: 80%;
}

.image-survol {
    transition: all 0.5s;
    transform: scale(1);
}

.image-survol:hover {
    transform: scale(0.95);
    transition: all 0.5s;
}

.div-credit {
    position: relative;
}

.credit {
    font-family: "Inria";
    position: absolute;
    bottom: 1.25rem;
    right: 1.25rem;
    font-size: 0.75rem;
}

/****************************** Footer Téléphone ******************************/

footer {
    background-image: url("../images/background-reste.svg");
    background-repeat: repeat;
    padding: 0.625rem 1.875rem 3.125rem 1.875rem;
}

.footer-sous-projet {
    background-color: #0D1536;
    background-image: none;
}

.div-footer {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background-color: #25305E;
    padding: 1.875rem;
    border-radius: 0.625rem;
}

.div-footer p {
    margin: 0;
    font-family: "Inria";
    font-size: 0.875rem;
    width: 60%;
    cursor: url("../images/curseur.svg"), auto;
}

.div-bas-contact .icone-footer i {
    font-size: 2.5rem;
}


.icone-footer {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.938rem;
}

.icone-footer i {
    font-size: 1.563rem;
}

/****************************** Contact Téléphone ******************************/

.body-contact {
    height: 100%;
    overflow: hidden;
    background-image: url("../images/background.svg");
    background-position: center top;
    background-size: auto;
    background-repeat: no-repeat;
}

.contact {
    margin-left: 1.875rem;
    margin-right: 1.875rem;
    margin-top: 1.875rem;
    position: relative;
}

form {
    margin-bottom: 1.875rem;
}

fieldset {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border: none;
    padding: 0;
    margin: 0;
    background-color: #29305A;
    border-radius: 0.625rem;
    margin-bottom: 1.875rem;
    margin-top: 1.875rem;
}

input {
    width: 100%;
    padding: 1.25rem 5% 1.25rem 5%;
    border: none;
    font-family: "League";
    font-size: 1rem;
    background-color: transparent;
    color: #AEB6FF;
}

::placeholder {
    color: #aeb6ff79;
}

.nom {
    width: 100%;
    position: relative;
}

.nom::after {
    content: "";
    border: #aeb6ff79 0.063rem solid;
    position: absolute;
    width: 90%;
    left: 5%;
    bottom: 0;
    z-index: 2;
}

textarea {
    width: 100%;
    height: 15vh;
    padding: 0.938rem 5% 0.938rem 5%;
    border: none;
    font-family: "League";
    font-size: 1rem;
    background-color: transparent;
    color: #AEB6FF;
}

.h2-contact {
    font-size: 1.875rem;
    font-family: "Bely";
    font-weight: lighter;
}

.btn-sub {
    background-color: transparent;
    border: 0.063rem solid #AEB6FF;
    border-radius: 1.875rem;
    padding: 0.938rem 1.25rem;
    color: #AEB6FF;
    cursor: url("../images/voir.svg"), auto;
    font-family: "Inria";
    font-size: 1rem;
    transition: all 0.3s;
}

.btn-sub:hover {
    background-color: #AEB6FF;
    border: 0.063rem solid #AEB6FF;
    color: #0D1536;
    transition: all 0.3s;
}

.message-contact {
    font-family: "InterReg";
    color: #AEB6FF;
    position: absolute;
    bottom: -0.75rem;
    font-size: 0.813rem;
}

.div-bas-contact {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

/****************************** Loader Ordinateur ******************************/

.body-loader {
    width: 100%;
    height: 100%;
}

.loader {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0 3.75rem;
    gap: 1.875rem;
    background-color: #161C38;
    z-index: 50;
}

.html-loader {
    width: 100%;
    height: 100%;
}

.img-loader {
    width: 50%;
}

.loader-container {
    width: 100%;
    height: 0.188rem;
    background-color: #AEB6FF;
    border-radius: 1.25rem;
}

.div-loader {
    width: 0%;
    height: 100%;
    background-color: #FFFFFF;
    transition: all 3s ease;
    border-radius: 1.25rem;
}

/****************************** Bientôt Téléphone  ******************************/

.bientot {
    padding: 0 3.125rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    width: 100%;
}

.bientot-p {
    font-family: "Inter";
}

.ange-bientot {
    width: 50%;
}


@media all and (min-width: 768px) {

    /****************************** Menu Tablette ******************************/

    .menu {
        display: none;
    }

    .tel {
        display: none;
    }

    .menu2 {
        display: flex;
        flex-direction: row;
        width: 100%;
        justify-content: center;
        justify-content: space-evenly;
        padding: 0;
        gap: 3.125rem;
    }

    .menu2 li {
        list-style-type: none;
    }

    header {
        justify-content: space-between;
        margin: 1.25rem 8vh;
        width: calc(100% - 16vh);
        padding: 0;
    }

    .menu2 .text {
        font-size: 1.25rem;
        font-family: "Inria";
        font-weight: lighter;
    }

    .btn-decou {
        border-radius: 1.875rem;
        font-size: 1.563rem;
        padding: 0.625rem 1.875rem;
    }

    .logo {
        width: 40%;
    }

    /****************************** Accueil Tablette ******************************/

    .body-index {
        background-image: url("../images/background-tablette.svg");
        background-position: center top;
        background-size: auto;
        background-repeat: no-repeat;
    }

    .body-contact {
        background-image: url("../images/background-tablette.svg");
        background-position: center top;
        background-size: auto;
        background-repeat: no-repeat;
        overflow: initial;
    }

    .accueil {
        height: calc(100vh - 6.25rem - 1.25rem - 1.25rem);
    }

    .div-nom h1,
    h2 {
        font-size: 2.5rem;
    }

    .big-div-accueil {
        display: flex;
        flex-direction: row;
        align-items: center;
        width: calc(100% - 16vh);
        justify-content: space-between;
        margin: 0 8vh;
    }

    .ange {
        display: initial;
        width: 60%;
    }

    .div-scroll {
        width: 2.813rem;
    }

    .div-scroll::before {
        content: "";
        position: absolute;
        width: 0.5rem;
        height: 0.5rem;
        background-color: #FFFFFF;
        border-radius: 1.25rem;
        top: 0;
        border: 0.094rem transparent solid;
        animation: infinite 2.5s scroll;
    }

    @keyframes scroll {
        0% {
            opacity: 0;
        }

        10% {
            opacity: 1;
        }

        90% {
            opacity: 1;
        }

        100% {
            transform: translateY(3vh);
            opacity: 0;
        }

    }

    .div-texte {
        align-items: flex-start;
    }

    .div-nom h1 {
        line-height: 3.125rem;
    }

    .div-comp h2 {
        line-height: 0.625rem;
    }

    /****************************** Projet Tablette ******************************/

    .big-div-slide {
        margin-left: 3.75rem;
        margin-right: 3.75rem;
    }

    .img-projet {
        width: calc(100% / 2 - 0.469rem);
    }

    .img-projet2 {
        width: calc(100% / 2 - 0.469rem);
    }

    .img-projet3 {
        width: calc(100% / 2 - 0.469rem);
    }

    .img-projet4 {
        width: calc(100% / 2 - 0.469rem);
    }

    .img-projet5 {
        width: calc(100% / 2 - 0.469rem);
    }

    .infos-projet {
        padding: 0 8.75rem;
    }

    .liste-filtres {
        display: flex;
        flex-direction: row;
        gap: 0.938rem;
    }

    .titre-projet .h2 {
        font-size: 1.875rem;
    }

    .titre-projet .p {
        font-size: 1.25rem;
        margin-bottom: 0.25vh;
    }

    .p-infos {
        font-size: 1.375rem;
    }

    .btn-filtre {
        font-size: 1.125rem;
        padding: 0.438rem 0.938rem 0.313rem 0.938rem;
    }

    .btn-filtre2 {
        font-size: 1.125rem;
        padding: 0.438rem 0.938rem 0.313rem 0.938rem;
    }

    .btn-filtre3 {
        font-size: 1.125rem;
        padding: 0.438rem 0.938rem 0.313rem 0.938rem;
    }

    .btn-filtre4 {
        font-size: 1.125rem;
        padding: 0.438rem 0.938rem 0.313rem 0.938rem;
    }

    .btn-filtre5 {
        font-size: 1.125rem;
        padding: 0.438rem 0.938rem 0.313rem 0.938rem;
    }

    .proj {
        margin-bottom: 5rem;
    }

    .proj:last-child {
        margin-bottom: 3.125rem;
    }

    /****************************** Sous-projet Tablette ******************************/

    .sous-projet {
        margin-left: 6.25rem;
        margin-right: 6.25rem;
        margin-bottom: 0;
    }

    .div-deuxieme-ligne {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .barre-sp {
        width: 0;
    }

    .infos-sp1 {
        width: 50%;
    }

    .titre-sp1 {
        margin: 0;
        font-size: 1.563rem;
    }

    .titre-sp2 {
        font-size: 1.563rem;
        margin: 0;
    }

    .filtre-sous-projet {
        margin: 1.25rem 0 1.875rem 0;
        padding: 0.875rem 0.938rem 0.625rem 0.938rem;
    }

    .texte-sp1 {
        margin: 1.25rem 0 0 0;
        font-size: 1.125rem;
    }

    .texte-sp2 {
        font-size: 1.125rem;
    }

    .t-sp {
        font-size: 1.563rem;
        margin-left: 1.563rem;
    }

    .div-premiere-ligne .fa-chevron-left {
        font-size: 1.25rem;
    }

    .date-sp {
        font-size: 1.25rem;
        margin-left: 0.938rem;
    }

    .titre-sous-proj {
        font-size: 1.563rem;
    }

    .deux-img-sous-proj {
        display: flex;
        flex-direction: row;
        gap: 1.25rem;
        margin-bottom: 2.5rem;
        justify-content: space-between;
    }

    .deux-img-sous-proj .logo-2 {
        width: 60%;
    }

    .deux-img-sous-proj img {
        width: calc(100% / 2);
    }

    .fleche-av p {
        font-size: 1.125rem;
    }

    .deux-img-sous-proj .img-ss {
        width: calc(100% / 2);
    }

    .ens-sous-proj {
        width: 50%;
    }

    .barre-sp2 {
        height: 20vh;
        width: 0;
    }

    .sans-marge-sous {
        margin-bottom: 0;
    }

    .moitie-img {
        width: calc(100% / 2);
    }

    .marge-dessous {
        margin-bottom: 2.5rem;
    }

    .display-grid {
        gap: 0.938rem;
    }

    .deux-img-sous-proj .img-soiree-2 {
        width: 100%;
    }

    .ete {
        width: 80%;
    }

    .credit {
        font-size: 0.938rem;
    }

    /****************************** Footer Tablette ******************************/

    footer {
        padding: 0 5rem 3.125rem 5rem;
    }

    .div-footer p {
        width: auto;
        padding-top: 0.25rem;
    }

    .icone-footer {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 0.938rem;
    }

    .icone-footer i {
        font-size: 1.875rem;
    }

    /****************************** Contact Tablette ******************************/

    .contact {
        margin-left: 5rem;
        margin-right: 5rem;
    }

    input {
        font-size: 1.25rem;
    }

    textarea {
        font-size: 1.25rem;
    }

    .h2-contact {
        font-size: 3.125rem;
    }

    .btn-sub {
        border-radius: 2.5rem;
        padding: 1.25rem 1.563rem;
        color: #AEB6FF;
        font-size: 1.125rem;
        cursor: url("../images/voir.svg"), auto;
    }

    form {
        margin-bottom: 8vh;
    }

    fieldset {
        margin-top: 2.5rem;
        margin-bottom: 2.5rem;
    }

    .message-contact {
        bottom: 0.938rem;
        font-size: 1.125rem;
    }

    /****************************** Loader Tablette ******************************/

    .img-loader {
        width: 50%;
    }

    .loader {
        padding: 0 25vh;
    }

    /****************************** Loader Tablette ******************************/
    
    .bientot-p {
        font-family: "Inter";
        font-size: 1.25rem;
    }
    
    .ange-bientot {
        width: 30%;
    }
    

}

@media all and (min-width: 1024px) {

    /****************************** Menu Ordinateur ******************************/

    .menu2 {
        justify-content: space-evenly;
        padding: 0;
        gap: 5rem;
    }

    header {
        justify-content: space-between;
        margin: 1.25rem 20vh;
        width: calc(100% - 40vh);
    }

    /****************************** Accueil Ordinateur ******************************/

    .div-texte {
        justify-content: center;
    }

    .div-comp {
        margin-top: 1.875rem;
        margin-bottom: 2.5rem;
    }

    .body-index {
        background-size: contain;
    }

    .body-contact {
        background-size: auto;
    }

    .div-nom h1 {
        font-size: 6.25rem;
        line-height: 6.25rem;
    }

    .div-texte {
        height: 70%;
    }

    .ange {
        width: 50%;
        margin-top: 5vh;
    }

    .fleche-lien {
        margin-bottom: 3.125rem;
    }

    .big-div-accueil {
        width: calc(100% - 40vh);
        margin: 0 20vh;
    }

    .div-scroll {
        width: 2.813rem;
        bottom: 8rem;
    }

    .div-scroll::before {
        content: "";
        position: absolute;
        width: 0.5rem;
        height: 0.5rem;
        background-color: #FFFFFF;
        border-radius: 1.25rem;
        top: 0;
        border: 0.094rem transparent solid;
        animation: infinite 2.5s scroll;
    }

    @keyframes scroll {
        0% {
            opacity: 0;
        }

        10% {
            opacity: 1;
        }

        90% {
            opacity: 1;
        }

        100% {
            transform: translateY(3.5vh);
            opacity: 0;
        }

    }

    /****************************** Projet Ordinateur ******************************/

    .wrapper {
        margin-left: 9.375rem;
        margin-right: 9.375rem;
    }

    .big-div-slide {
        padding: 0 5.625rem;
    }

    .img-projet {
        width: calc(100% / 3 - 0.656rem);
    }

    .img-projet2 {
        width: calc(100% / 3 - 0.656rem);
    }

    .img-projet3 {
        width: calc(100% / 3 - 0.656rem);
    }

    .img-projet4 {
        width: calc(100% / 3 - 0.656rem);
    }

    .img-projet5 {
        width: calc(100% / 3 - 0.656rem);
    }

    .fleche-droite {
        right: -5rem;
    }

    .fleche-gauche {
        left: -5rem;
    }

    .fleche-droite2 {
        right: -5rem;
    }

    .fleche-gauche2 {
        left: -5rem;
    }

    .fleche-droite3 {
        right: -5rem;
    }

    .fleche-gauche3 {
        left: -5rem;
    }

    .fleche-droite4 {
        right: -5rem;
    }

    .fleche-gauche4 {
        left: -5rem;
    }

    .fleche-droite5 {
        right: -5rem;
    }

    .fleche-gauche5 {
        left: -5rem;
    }

    .infos-projet {
        padding: 0 18.75rem;
        margin-bottom: 2.5rem;
    }

    .p-infos {
        width: 80%;
    }

    .proj {
        margin-bottom: 6.25rem;
    }

    .proj:last-child {
        margin-bottom: 5rem;
    }

    .titre-projet .p {
        margin-bottom: 0.3vh;
    }

    /****************************** Sous-projet Ordinateur ******************************/

    .sous-projet {
        margin-left: 18.75rem;
        margin-right: 18.75rem;
        margin-bottom: 0;
        margin-top: 2.5rem;
    }

    .titre-sp1 {
        margin: 0;
        font-size: 1.563rem;
    }

    .titre-sp2 {
        font-size: 1.563rem;
        margin: 0;
    }

    .filtre-sous-projet {
        margin: 1.875rem 0 2.5rem 0;
        padding: 0.875rem 1.25rem 0.625rem 1.25rem;
        font-size: 1.25rem;
        border-radius: 1.875rem;
    }

    .texte-sp1 {
        margin: 1.25rem 0 0 0;
        font-size: 1.25rem;
    }

    .texte-sp2 {
        font-size: 1.25rem;
    }

    .t-sp {
        font-size: 1.563rem;
        margin-left: 1.563rem;
    }

    .div-premiere-ligne .fa-chevron-left {
        font-size: 1.25rem;
    }

    .date-sp {
        font-size: 1.25rem;
        margin-left: 0.938rem;
    }

    .text-marge-aj {
        margin-bottom: 1.875rem;
    }

    .sous-projet .deux-img-sous-proj .ss-1 {
        width: 40%;
    }

    .fleche-sous-proj {
        margin-bottom: 1.875rem;
    }

    .ete {
        width: 50%;
    }

    /****************************** Footer Ordinateur ******************************/

    footer {
        padding: 0 12.5rem 3.125rem 12.5rem;
    }

    .div-footer {
        padding: 2.5rem;
    }

    .div-footer p {
        width: auto;
        padding-top: 0.5rem;
        font-size: 1rem;
    }

    .icone-footer {
        gap: 1.25rem;
    }

    .icone-footer i {
        font-size: 2.5rem;
    }

    /****************************** Contact Ordinateur ******************************/

    .body-contact {
        height: 100%
    }

    .contact {
        margin-left: 25rem;
        margin-right: 25rem;
        margin-top: 1.25rem;
    }

    input {
        padding: 1.25rem 3% 1.25rem 3%;
    }

    .nom::after {
        left: 3%;
        width: 93%;
    }

    textarea {
        padding: 0.938rem 3% 0.938rem 3%;
    }

    .btn-sub {
        border-radius: 2.5rem;
        padding: 0.938rem 1.563rem;
        color: #AEB6FF;
        font-size: 1.25rem;
        cursor: url("../images/voir.svg"), auto;
    }

    form {
        margin-bottom: 8vh;
    }

    .message-contact {
        bottom: 0.375rem;
        font-size: 1.125rem;
    }

    /****************************** Loader Ordinateur ******************************/

    .img-loader {
        width: 50%;
    }

    .loader {
        padding: 0 70vh;
    }

    /****************************** Bientot Ordinateur ******************************/

    .bientot {
        padding: 0 12.5rem;
    }

    .bientot-p {
        font-size: 1.563rem;
    }
    
    .ange-bientot {
        width: 20%;
    }

}

@media all and (min-width: 1024px) and (min-height: 900px) {

    /****************************** Contact Ordinateur Grand ******************************/

    .contact {
        margin-left: 34.375rem;
        margin-right: 34.375rem;
        margin-top: 5vh;
    }

    form {
        margin-bottom: 13vh;
    }

    .message-contact {
        bottom: 3.75rem;
    }

}